AccountControllerGetAccountInfoByName Method |
POST /Account/InfoName
Gets the account by name.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("InfoName")]
public IActionResult GetAccountInfoByName(
[FromBodyAttribute] string name,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("InfoName")>
Public Function GetAccountInfoByName (
<FromBodyAttribute> name As String,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"InfoName")]
IActionResult^ GetAccountInfoByName(
[FromBodyAttribute] String^ name,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("InfoName")>]
member GetAccountInfoByName :
[<FromBodyAttribute>] name : string *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- name
- Type: SystemString
The name of the account. - sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
IActionResultA
MemberInfoData object, or a status code indicating the problem.
See Also